﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Scheduling Jobs for Analytics Version 1 Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Scheduling Jobs for Analytics Version 1 Controls</h1>
        <p>You can schedule jobs for <strong>Analytics Version 1 (V1)</strong> control configurations in Saviynt Identity Governance and Administration (IGA). Jobs can be scheduled every minute, hour, day, or week. Based on the job schedule that you have configured, IGA runs the job and updates the analytics configuration details.</p>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;" MadCap:conditions="Default.v2021X">
            <p class="note">This feature is available from the release v2021.0 onwards. </p>
        </div>
        <p MadCap:conditions="Default.v2021X">You can limit the number of scheduled analytics reports that can run at a time from a setting located in <strong>Admin &gt; Global Configurations &gt; Analytics &gt; Analytic Schedule Settings &gt;&#160;Number of schedules allowed in a 5 minute window</strong>&#160;and specify&#160;a time in the <strong> Number of schedules allowed in a 5 minute window</strong> field. The following screenshot illustrates the same.</p>
        <p MadCap:conditions="Default.v2021X">
            <img src="../Resources/Images/analytic schedule settings.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p MadCap:conditions="Default.v2021X">Once the user sets a schedule in the Global Configurations, navigate to the Analytics Configurations List page and click <strong>Schedule</strong> to schedule a trigger against a control. In the Schedule the Job window, select a schedule and click <strong>Submit</strong> to trigger the job.</p>
        <p MadCap:conditions="Default.v2021X">
            <img src="../Resources/Images/schedule the job - v1.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 636px;height: 398px;" />
        </p>
        <p MadCap:conditions="Default.v2021X">While submitting the trigger, if the&#160;number of schedule exceeds the threshold that the user is trying to schedule the next run of the report on a particular time frequency, the following message is displayed prompting the user to schedule the report in a different time.&#160;</p>
        <p MadCap:conditions="Default.v2021X">
            <img src="../Resources/Images/schedule the job - week.png" style="width: 652px;height: 353px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p>To schedule a job for <strong>Analytics V1 </strong>control, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>Analytics &gt; Analytics Configuration List</strong>.</p>
            </li>
            <li>
                <p>Select <strong>Version 1&#160;</strong>and go to&#160;<strong>Analytics Configuration List (v1)</strong>. The&#160;<b>Analytics Configuration List</b> page is displayed.</p>
            </li>
            <p>
                <img src="../Resources/Images/analytics config - v1.png" style="width: 1087px;height: 438px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
            </p>
            <li>
                <p>For any configured analytics, select the <strong>Schedule</strong> button in the <strong>Action</strong> column, as highlighted in the preceding figure.</p>
                <p>The&#160;<strong>Schedule the Job</strong> pop-up window is displayed.</p>
                <p>
                    <img src="../Resources/Images/Schedule the Job pop-up.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <p>Figure: <strong>Schedule the Job</strong> pop-up</p>
            </li>
            <li>
                <p>Choose the frequency in which you want to schedule the job.</p>
                <p>The following options are available:</p>
                <ul>
                    <li>
                        <p>Hourly— Option to schedule the job every nth hour or on a scheduled time.</p>
                        <p>
                            <img src="../Resources/Images/Scheduling Hourly Jobs.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 577px;height: 300px;" />
                        </p>
                        <p>Figure: Scheduling Hourly Jobs</p>
                        <p><strong>Example</strong>:</p>
                        <ol style="list-style-type: lower-alpha;">
                            <li>
                                <p>Suppose you are setting an hourly schedule of the analytics job setting the time at 14:30 (HH:MM format).</p>
                            </li>
                            <li>
                                <p>Select the <strong>Submit</strong> button. A message is displayed that the analytic control is scheduled as shown in the following figure.</p>
                                <p>
                                    <img src="../Resources/Images/Sample Message Displaying the Scheduling of Analytic Job.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                                </p>
                            </li>
                            <li>
                                <p>Figure: Sample Message Displaying the Scheduling of Analytic Job</p>
                            </li>
                        </ol>
                    </li>
                    <li>
                        <p>Daily — Option to schedule the job every nth day on a scheduled time, where n is an integer.</p>
                        <p>
                            <img src="../Resources/Images/Scheduling Daily Jobs.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                        </p>
                        <p>Figure: Scheduling Daily Jobs</p>
                    </li>
                    <li>
                        <p>Weekly - Option to schedule the job on the required days of the week at a scheduled time. You can select multiple days of the week.</p>
                        <p>
                            <img src="../Resources/Images/Scheduling Weekly Jobs.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                        </p>
                        <p>Figure: Scheduling Weekly Jobs</p>
                    </li>
                    <li>
                        <p>Monthly - Option to schedule the job either by selecting a specific months or selecting all months.</p>
                        <p>
                            <img src="../Resources/Images/schedule job monthly.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 641px;height: 410px;" />
                        </p>
                    </li>
                    <li>
                        <p>Cron Expression - Option to schedule the job&#160;using a CRON expression.</p>
                        <p>For example, the cron expression&#160; 0 0/10 * ? * * * represents the schedule of the job at second :00, every 10 minutes starting at minute :00, of every hour</p>
                        <p>
                            <img src="../Resources/Images/cron exp.png" style="width: 598px;height: 301px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                        </p>
                        <p>Figure: Scheduling Jobs Using Cron Expression</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Set the schedule frequency of the job and click&#160;<strong>Submit.</strong> </p>
            </li>
            <li>
                <p>The scheduled run time of the job is displayed in the&#160;<strong>Next Schedule </strong>column.&#160;If nothing is displayed in this column, it means that there is no job scheduled for the Analytics V1 control configuration.</p>
            </li>
            <li>
                <p>Once a job is scheduled, the <strong>Remove</strong> button is displayed in the&#160;<strong>Next Schedule </strong>column.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can click the Remove option, in case you want to&#160;remove a job scheduled for the Analytics V1 control.</p>
                </div>
                <p style="margin-left: 30.0px;">
                    <img src="../Resources/Images/image2021-6-6_23-57-17.png" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
                <p style="margin-left: 30.0px;">Figure: Remove button displayed in the Next Schedule Column after a Job is Scheduled</p>
            </li>
        </ol>
    </body>
</html>